#
# spec file for package gap-cap
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-cap
Version:        2017.09.25
Release:        lp150.1.2
Summary:        GAP: Categories, Algorithms and Programming
License:        GPL-2.0
Group:          Productivity/Scientific/Math
Url:            http://homalg-project.github.io/CAP_project/CAP/
Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/CAP-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-devel
BuildRequires:  gap-rpm-devel
BuildArch:      noarch
Requires:       gap-core >= 4.6
Requires:       gap-autodoc >= 2016.02.16
Requires:       gap-toolsforhomalg >= 2016.01.17
Requires:       gap-io

%description
Categories are the main GAP objects in CAP. They are used to
associate GAP objects which represent objects and morphisms with
their category. By associating a GAP object to the category, one of
two filters belonging to the category (ObjectFilter/MorphismFilter)
are set to true. Via Add methods, functions for specific existential
quantifiers can be associated to the category and after that can be
applied to GAP objects in the category. A GAP category object also
knows which constructions are currently possible in this category.

%prep
%setup -qn CAP-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Fri Dec 22 2017 jengelh@inai.de
- Initial package (version 2017.09.25) for build.opensuse.org
